Subject: [Mgs] collapsible steering repair

From: Aaron Whiteman via Mgs <[email-masked]>
Date: Sun, 10 Jan 2016 10:30:59 -0800

This winter’s project has been to rebuild the front suspension in my ’75 MGB. Honestly, it was more along the lines of “replace the bushings in the front suspension”, but I appear to have acquired some shipwright's disease as I’ve progressed along.

So far, I have completely disassembled the front subframe and suspension components, replaced all bushings, replaced the worn swivel axles, replaced the bent lower A-arm pivots, and re-assembled. That was when I discovered the steering rack was no longer aligned. And *that* is when I discovered that the collapsible steering column has partially collapsed. The shell is fine, but the plastic that bound the inner column together is clearly broken.

I’m planning on using the instructions I found at http://www.mgexp.com/article/easy-mgb-steering-column-repair.html, but now that I have the column out, I can hear and feel that at the very least, the upper column bearing is shot. The Googles tell me that Moss’s replacement bearing… isn’t very good, or even usable. Is this still true? Are there alternatives that do work?

-- 
Aaron
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]